#ifndef STM32F1_DMA_H_
#define STM32F1_DMA_H_

/* ########################################################################################################################################################## */
/* # Includes #################################################################################################################################### Includes # */
/* ########################################################################################################################################################## */

#include <stdtypes.h>

/* ########################################################################################################################################################## */
/* # Define Definitions ################################################################################################################ Define Definitions # */
/* ########################################################################################################################################################## */

/* ########################################################################################################################################################## */
/* # Macro Definitions ################################################################################################################## Macro Definitions # */
/* ########################################################################################################################################################## */

/* ########################################################################################################################################################## */
/* # Type Definitions #################################################################################################################### Type Definitions # */
/* ########################################################################################################################################################## */

/* ########################################################################################################################################################## */
/* # Variable Declarations ########################################################################################################## Variable Declarations # */
/* ########################################################################################################################################################## */

/* ########################################################################################################################################################## */
/* # Static Inline Functions ###################################################################################################### Static Inline Functions # */
/* ########################################################################################################################################################## */

/* ########################################################################################################################################################## */
/* # Function Prototypes ############################################################################################################## Function Prototypes # */
/* ########################################################################################################################################################## */

void STM32F1_DMA_init(void);

void STM32F1_DMA1_configChannel1ForADC1(uint8_fast count, uint16* memory);

void STM32F1_DMA1_startChannel1(void);

/* ########################################################################################################################################################## */
#endif /* STM32F1_DMA_H_ */
/* EOF */
